// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      Mono Runtime Version: 2.0.50727.42
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.AddinAuthoring {
    
    
    public partial class NewExtensionPointDialog {
        
        private Gtk.VBox vbox2;
        
        private Gtk.Table table2;
        
        private Gtk.Entry entryDesc;
        
        private Gtk.Entry entryName;
        
        private Gtk.Entry entryPath;
        
        private Gtk.Label label6;
        
        private Gtk.Label label7;
        
        private Gtk.Label label8;
        
        private Gtk.VBox vbox3;
        
        private Gtk.Label label2;
        
        private Gtk.HBox hbox2;
        
        private Gtk.RadioButton radioTypeExtension;
        
        private Gtk.RadioButton radioCustomExtension;
        
        private Gtk.HSeparator hseparator2;
        
        private Gtk.Notebook notebook;
        
        private Gtk.Table table1;
        
        private MonoDevelop.AddinAuthoring.TypeSelector baseTypeSelector;
        
        private Gtk.Entry entryNodeDescription;
        
        private Gtk.Entry entryNodeName;
        
        private Gtk.Label label3;
        
        private Gtk.Label label4;
        
        private Gtk.Label label5;
        
        private Gtk.Label label9;
        
        private MonoDevelop.AddinAuthoring.NodeSetEditorWidget nodeseteditorwidget;
        
        private Gtk.Label label10;
        
        private Gtk.Button buttonCancel;
        
        private Gtk.Button buttonOk;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.AddinAuthoring.NewExtensionPointDialog
            this.Name = "MonoDevelop.AddinAuthoring.NewExtensionPointDialog";
            this.WindowPosition = ((Gtk.WindowPosition)(4));
            this.Modal = true;
            this.HasSeparator = false;
            // Internal child MonoDevelop.AddinAuthoring.NewExtensionPointDialog.VBox
            Gtk.VBox w1 = this.VBox;
            w1.Name = "dialog1_VBox";
            w1.BorderWidth = ((uint)(2));
            // Container child dialog1_VBox.Gtk.Box+BoxChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 15;
            this.vbox2.BorderWidth = ((uint)(15));
            // Container child vbox2.Gtk.Box+BoxChild
            this.table2 = new Gtk.Table(((uint)(3)), ((uint)(2)), false);
            this.table2.Name = "table2";
            this.table2.RowSpacing = ((uint)(6));
            this.table2.ColumnSpacing = ((uint)(6));
            // Container child table2.Gtk.Table+TableChild
            this.entryDesc = new Gtk.Entry();
            this.entryDesc.CanFocus = true;
            this.entryDesc.Name = "entryDesc";
            this.entryDesc.IsEditable = true;
            this.entryDesc.InvisibleChar = '●';
            this.table2.Add(this.entryDesc);
            Gtk.Table.TableChild w2 = ((Gtk.Table.TableChild)(this.table2[this.entryDesc]));
            w2.TopAttach = ((uint)(2));
            w2.BottomAttach = ((uint)(3));
            w2.LeftAttach = ((uint)(1));
            w2.RightAttach = ((uint)(2));
            w2.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table2.Gtk.Table+TableChild
            this.entryName = new Gtk.Entry();
            this.entryName.CanFocus = true;
            this.entryName.Name = "entryName";
            this.entryName.IsEditable = true;
            this.entryName.InvisibleChar = '●';
            this.table2.Add(this.entryName);
            Gtk.Table.TableChild w3 = ((Gtk.Table.TableChild)(this.table2[this.entryName]));
            w3.TopAttach = ((uint)(1));
            w3.BottomAttach = ((uint)(2));
            w3.LeftAttach = ((uint)(1));
            w3.RightAttach = ((uint)(2));
            w3.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table2.Gtk.Table+TableChild
            this.entryPath = new Gtk.Entry();
            this.entryPath.CanFocus = true;
            this.entryPath.Name = "entryPath";
            this.entryPath.IsEditable = true;
            this.entryPath.InvisibleChar = '●';
            this.table2.Add(this.entryPath);
            Gtk.Table.TableChild w4 = ((Gtk.Table.TableChild)(this.table2[this.entryPath]));
            w4.LeftAttach = ((uint)(1));
            w4.RightAttach = ((uint)(2));
            w4.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table2.Gtk.Table+TableChild
            this.label6 = new Gtk.Label();
            this.label6.Name = "label6";
            this.label6.Xalign = 0F;
            this.label6.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Description:");
            this.table2.Add(this.label6);
            Gtk.Table.TableChild w5 = ((Gtk.Table.TableChild)(this.table2[this.label6]));
            w5.TopAttach = ((uint)(2));
            w5.BottomAttach = ((uint)(3));
            w5.XOptions = ((Gtk.AttachOptions)(4));
            w5.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table2.Gtk.Table+TableChild
            this.label7 = new Gtk.Label();
            this.label7.Name = "label7";
            this.label7.Xalign = 0F;
            this.label7.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Extension path:");
            this.table2.Add(this.label7);
            Gtk.Table.TableChild w6 = ((Gtk.Table.TableChild)(this.table2[this.label7]));
            w6.XOptions = ((Gtk.AttachOptions)(4));
            w6.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table2.Gtk.Table+TableChild
            this.label8 = new Gtk.Label();
            this.label8.Name = "label8";
            this.label8.Xalign = 0F;
            this.label8.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Name:");
            this.table2.Add(this.label8);
            Gtk.Table.TableChild w7 = ((Gtk.Table.TableChild)(this.table2[this.label8]));
            w7.TopAttach = ((uint)(1));
            w7.BottomAttach = ((uint)(2));
            w7.XOptions = ((Gtk.AttachOptions)(4));
            w7.YOptions = ((Gtk.AttachOptions)(4));
            this.vbox2.Add(this.table2);
            Gtk.Box.BoxChild w8 = ((Gtk.Box.BoxChild)(this.vbox2[this.table2]));
            w8.Position = 0;
            w8.Expand = false;
            w8.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.vbox3 = new Gtk.VBox();
            this.vbox3.Name = "vbox3";
            this.vbox3.Spacing = 6;
            // Container child vbox3.Gtk.Box+BoxChild
            this.label2 = new Gtk.Label();
            this.label2.Name = "label2";
            this.label2.Xalign = 0F;
            this.label2.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Select the kind of extension point to create:");
            this.vbox3.Add(this.label2);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.vbox3[this.label2]));
            w9.Position = 0;
            w9.Expand = false;
            w9.Fill = false;
            // Container child vbox3.Gtk.Box+BoxChild
            this.hbox2 = new Gtk.HBox();
            this.hbox2.Name = "hbox2";
            this.hbox2.Spacing = 24;
            // Container child hbox2.Gtk.Box+BoxChild
            this.radioTypeExtension = new Gtk.RadioButton(Mono.Addins.AddinManager.CurrentLocalizer.GetString("Type extension point"));
            this.radioTypeExtension.CanFocus = true;
            this.radioTypeExtension.Name = "radioTypeExtension";
            this.radioTypeExtension.Active = true;
            this.radioTypeExtension.DrawIndicator = true;
            this.radioTypeExtension.UseUnderline = true;
            this.radioTypeExtension.Group = new GLib.SList(System.IntPtr.Zero);
            this.hbox2.Add(this.radioTypeExtension);
            Gtk.Box.BoxChild w10 = ((Gtk.Box.BoxChild)(this.hbox2[this.radioTypeExtension]));
            w10.Position = 0;
            w10.Expand = false;
            w10.Fill = false;
            // Container child hbox2.Gtk.Box+BoxChild
            this.radioCustomExtension = new Gtk.RadioButton(Mono.Addins.AddinManager.CurrentLocalizer.GetString("Custom extension point"));
            this.radioCustomExtension.CanFocus = true;
            this.radioCustomExtension.Name = "radioCustomExtension";
            this.radioCustomExtension.DrawIndicator = true;
            this.radioCustomExtension.UseUnderline = true;
            this.radioCustomExtension.Group = this.radioTypeExtension.Group;
            this.hbox2.Add(this.radioCustomExtension);
            Gtk.Box.BoxChild w11 = ((Gtk.Box.BoxChild)(this.hbox2[this.radioCustomExtension]));
            w11.Position = 1;
            this.vbox3.Add(this.hbox2);
            Gtk.Box.BoxChild w12 = ((Gtk.Box.BoxChild)(this.vbox3[this.hbox2]));
            w12.Position = 1;
            w12.Expand = false;
            w12.Fill = false;
            this.vbox2.Add(this.vbox3);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.vbox2[this.vbox3]));
            w13.Position = 1;
            w13.Expand = false;
            w13.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.hseparator2 = new Gtk.HSeparator();
            this.hseparator2.Name = "hseparator2";
            this.vbox2.Add(this.hseparator2);
            Gtk.Box.BoxChild w14 = ((Gtk.Box.BoxChild)(this.vbox2[this.hseparator2]));
            w14.Position = 2;
            w14.Expand = false;
            w14.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.notebook = new Gtk.Notebook();
            this.notebook.CanFocus = true;
            this.notebook.Name = "notebook";
            this.notebook.CurrentPage = 0;
            this.notebook.ShowBorder = false;
            this.notebook.ShowTabs = false;
            // Container child notebook.Gtk.Notebook+NotebookChild
            this.table1 = new Gtk.Table(((uint)(3)), ((uint)(2)), false);
            this.table1.Name = "table1";
            this.table1.RowSpacing = ((uint)(6));
            this.table1.ColumnSpacing = ((uint)(6));
            // Container child table1.Gtk.Table+TableChild
            this.baseTypeSelector = new MonoDevelop.AddinAuthoring.TypeSelector();
            this.baseTypeSelector.Events = ((Gdk.EventMask)(256));
            this.baseTypeSelector.Name = "baseTypeSelector";
            this.baseTypeSelector.AllowCreate = false;
            this.baseTypeSelector.AllowCreateInterface = false;
            this.table1.Add(this.baseTypeSelector);
            Gtk.Table.TableChild w15 = ((Gtk.Table.TableChild)(this.table1[this.baseTypeSelector]));
            w15.TopAttach = ((uint)(1));
            w15.BottomAttach = ((uint)(2));
            w15.LeftAttach = ((uint)(1));
            w15.RightAttach = ((uint)(2));
            w15.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.entryNodeDescription = new Gtk.Entry();
            this.entryNodeDescription.CanFocus = true;
            this.entryNodeDescription.Name = "entryNodeDescription";
            this.entryNodeDescription.IsEditable = true;
            this.entryNodeDescription.InvisibleChar = '●';
            this.table1.Add(this.entryNodeDescription);
            Gtk.Table.TableChild w16 = ((Gtk.Table.TableChild)(this.table1[this.entryNodeDescription]));
            w16.TopAttach = ((uint)(2));
            w16.BottomAttach = ((uint)(3));
            w16.LeftAttach = ((uint)(1));
            w16.RightAttach = ((uint)(2));
            w16.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.entryNodeName = new Gtk.Entry();
            this.entryNodeName.CanFocus = true;
            this.entryNodeName.Name = "entryNodeName";
            this.entryNodeName.IsEditable = true;
            this.entryNodeName.InvisibleChar = '●';
            this.table1.Add(this.entryNodeName);
            Gtk.Table.TableChild w17 = ((Gtk.Table.TableChild)(this.table1[this.entryNodeName]));
            w17.LeftAttach = ((uint)(1));
            w17.RightAttach = ((uint)(2));
            w17.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label3 = new Gtk.Label();
            this.label3.Name = "label3";
            this.label3.Xalign = 0F;
            this.label3.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Node name:");
            this.table1.Add(this.label3);
            Gtk.Table.TableChild w18 = ((Gtk.Table.TableChild)(this.table1[this.label3]));
            w18.XOptions = ((Gtk.AttachOptions)(4));
            w18.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label4 = new Gtk.Label();
            this.label4.Name = "label4";
            this.label4.Xalign = 0F;
            this.label4.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Description:");
            this.table1.Add(this.label4);
            Gtk.Table.TableChild w19 = ((Gtk.Table.TableChild)(this.table1[this.label4]));
            w19.TopAttach = ((uint)(2));
            w19.BottomAttach = ((uint)(3));
            w19.XOptions = ((Gtk.AttachOptions)(4));
            w19.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label5 = new Gtk.Label();
            this.label5.Name = "label5";
            this.label5.Xalign = 0F;
            this.label5.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Base type:");
            this.table1.Add(this.label5);
            Gtk.Table.TableChild w20 = ((Gtk.Table.TableChild)(this.table1[this.label5]));
            w20.TopAttach = ((uint)(1));
            w20.BottomAttach = ((uint)(2));
            w20.XOptions = ((Gtk.AttachOptions)(4));
            w20.YOptions = ((Gtk.AttachOptions)(4));
            this.notebook.Add(this.table1);
            // Notebook tab
            this.label9 = new Gtk.Label();
            this.label9.Name = "label9";
            this.label9.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("page1");
            this.notebook.SetTabLabel(this.table1, this.label9);
            this.label9.ShowAll();
            // Container child notebook.Gtk.Notebook+NotebookChild
            this.nodeseteditorwidget = new MonoDevelop.AddinAuthoring.NodeSetEditorWidget();
            this.nodeseteditorwidget.Events = ((Gdk.EventMask)(256));
            this.nodeseteditorwidget.Name = "nodeseteditorwidget";
            this.nodeseteditorwidget.AllowEditing = true;
            this.notebook.Add(this.nodeseteditorwidget);
            Gtk.Notebook.NotebookChild w22 = ((Gtk.Notebook.NotebookChild)(this.notebook[this.nodeseteditorwidget]));
            w22.Position = 1;
            // Notebook tab
            this.label10 = new Gtk.Label();
            this.label10.Name = "label10";
            this.label10.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("page2");
            this.notebook.SetTabLabel(this.nodeseteditorwidget, this.label10);
            this.label10.ShowAll();
            this.vbox2.Add(this.notebook);
            Gtk.Box.BoxChild w23 = ((Gtk.Box.BoxChild)(this.vbox2[this.notebook]));
            w23.Position = 3;
            w1.Add(this.vbox2);
            Gtk.Box.BoxChild w24 = ((Gtk.Box.BoxChild)(w1[this.vbox2]));
            w24.Position = 0;
            // Internal child MonoDevelop.AddinAuthoring.NewExtensionPointDialog.ActionArea
            Gtk.HButtonBox w25 = this.ActionArea;
            w25.Name = "dialog1_ActionArea";
            w25.Spacing = 6;
            w25.BorderWidth = ((uint)(5));
            w25.LayoutStyle = ((Gtk.ButtonBoxStyle)(4));
            // Container child dialog1_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.buttonCancel = new Gtk.Button();
            this.buttonCancel.CanDefault = true;
            this.buttonCancel.CanFocus = true;
            this.buttonCancel.Name = "buttonCancel";
            this.buttonCancel.UseStock = true;
            this.buttonCancel.UseUnderline = true;
            this.buttonCancel.Label = "gtk-cancel";
            this.AddActionWidget(this.buttonCancel, -6);
            Gtk.ButtonBox.ButtonBoxChild w26 = ((Gtk.ButtonBox.ButtonBoxChild)(w25[this.buttonCancel]));
            w26.Expand = false;
            w26.Fill = false;
            // Container child dialog1_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.buttonOk = new Gtk.Button();
            this.buttonOk.CanDefault = true;
            this.buttonOk.CanFocus = true;
            this.buttonOk.Name = "buttonOk";
            this.buttonOk.UseStock = true;
            this.buttonOk.UseUnderline = true;
            this.buttonOk.Label = "gtk-ok";
            this.AddActionWidget(this.buttonOk, -5);
            Gtk.ButtonBox.ButtonBoxChild w27 = ((Gtk.ButtonBox.ButtonBoxChild)(w25[this.buttonOk]));
            w27.Position = 1;
            w27.Expand = false;
            w27.Fill = false;
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.DefaultWidth = 625;
            this.DefaultHeight = 522;
            this.Show();
            this.entryPath.Changed += new System.EventHandler(this.OnEntryPathChanged);
            this.radioTypeExtension.Clicked += new System.EventHandler(this.OnRadioTypeExtensionClicked);
            this.radioCustomExtension.Clicked += new System.EventHandler(this.OnRadioCustomExtensionClicked);
            this.buttonOk.Clicked += new System.EventHandler(this.OnButtonOkClicked);
        }
    }
}
